
//
//  TransformedImageView.h
//  Transformed Image
//	Original by jcr @ Apple.  Recoded by Carl Brown @ Stamps.com, March 2005
//

#import <Cocoa/Cocoa.h>


@interface TransformedImageView : NSImageView
{

	NSAffineTransform *	transform;
	// IBOutlet id notifyDropImage;	
	
	//	Not used in here -- but we need to know this about the transform so we can dynamically calculate 
	//	image movement/dragging
	float calcScale;
	int flipH, flipV, rotation;
	
	NSPoint downPoint;	//	Mouse dragging
	NSPoint currentPoint;
	NSPoint startDrag;
	NSPoint offset;	//	Manages user dragging image around
	
	NSImage * dropImage;	//	image holder for pasted or dropped images
	
	BOOL dragHighlighted;	//	For visual clue of accepting drag/drop operations
}

// Returns the adjusted offset in the view
- (NSPoint)getOffset;

// NSView override
- (void)drawRect:(NSRect)rect;

	// Dropped image value
- (NSImage *) droppedImage;  

	//NSImageView override
- (NSImage *) transformedImage;  // Provides the image in its transformed state, in case you want to save it or use it elsewhere

- (NSAffineTransform *) transform; // in case you need to know..
- (void) setTransform:(NSAffineTransform *) aTransform;

- (IBAction) takeFrameStyleFrom: sender;

- (NSPoint)fixRotation:(NSPoint)pt;

- (void) resetImage;

- (void)setFlipH:(int)pflipH
		setFlipV:(int)pflipV
		setRotation:(int)pRotation
		setScale:(float)pScale;


@end
